%% Track spectral weight across the transition

set(0,'defaulttextInterpreter','latex')
set(groot, 'defaultAxesTickLabelInterpreter','latex'); set(groot, 'defaultLegendInterpreter','latex');

format long

font          = 'Bahnschrift';

% Load data
Data                       = load('C:/Users/Karthik/Documents/GitRepositories/Calculations/Data-Analyzer/B2.45G/DropletsToStripes.mat', 'unique_scan_parameter_values', 'mean_sf', 'stderr_sf');

dts_scan_parameter_values  = Data.unique_scan_parameter_values;
dts_mean_sf                = Data.mean_sf;
dts_stderr_sf              = Data.stderr_sf;

Data                       = load('C:/Users/Karthik/Documents/GitRepositories/Calculations/Data-Analyzer/B2.45G/StripesToDroplets.mat', 'unique_scan_parameter_values', 'mean_sf', 'stderr_sf');

std_scan_parameter_values  = Data.unique_scan_parameter_values;
std_mean_sf                = Data.mean_sf;
std_stderr_sf              = Data.stderr_sf;

% Normalize dts data
dts_min = min(dts_mean_sf);
dts_max = max(dts_mean_sf);
dts_range = dts_max - dts_min;
dts_mean_sf_norm = (dts_mean_sf - dts_min) / dts_range;
dts_stderr_sf_norm = dts_stderr_sf / dts_range;

% Normalize std data
std_min = min(std_mean_sf);
std_max = max(std_mean_sf);
std_range = std_max - std_min;
std_mean_sf_norm = (std_mean_sf - std_min) / std_range;
std_stderr_sf_norm = std_stderr_sf / std_range;

figure(1);
set(gcf,'Position',[100 100 950 750])
errorbar(dts_scan_parameter_values, dts_mean_sf_norm, dts_stderr_sf_norm, 'o--', ...
    'LineWidth', 1.5, 'MarkerSize', 6, 'CapSize', 5, 'DisplayName' , 'Droplets to Stripes');
hold on
errorbar(std_scan_parameter_values, std_mean_sf_norm, std_stderr_sf_norm, 'o--', ...
    'LineWidth', 1.5, 'MarkerSize', 6, 'CapSize', 5, 'DisplayName', 'Stripes to Droplets');
set(gca, 'FontSize', 14);   % For tick labels only
hXLabel = xlabel('\alpha (degrees)', 'Interpreter', 'tex');
hYLabel = ylabel('Normalized Spectral Weight', 'Interpreter', 'tex');
hTitle = title('B = 2.45 G', 'Interpreter', 'tex');
legend
set([hXLabel, hYLabel], 'FontName', font)
set([hXLabel, hYLabel], 'FontSize', 14)
set(hTitle, 'FontName', font, 'FontSize', 16, 'FontWeight', 'bold');  % Set font and size for title
grid on